/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.interfaces.ITipoatuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TipoatuadorRecord extends UpdatableRecordImpl<TipoatuadorRecord> implements VertxPojo, Record3<Integer, String, String>, ITipoatuador {

    private static final long serialVersionUID = 563117449;

    /**
     * Setter for <code>public.tipoatuador.tipatuid</code>.
     */
    @Override
    public TipoatuadorRecord setTipatuid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.tipoatuador.tipatuid</code>.
     */
    @Override
    public Integer getTipatuid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.tipoatuador.tipatunome</code>.
     */
    @Override
    public TipoatuadorRecord setTipatunome(String value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.tipoatuador.tipatunome</code>.
     */
    @Override
    public String getTipatunome() {
        return (String) get(1);
    }

    /**
     * Setter for <code>public.tipoatuador.tipatudescricao</code>.
     */
    @Override
    public TipoatuadorRecord setTipatudescricao(String value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.tipoatuador.tipatudescricao</code>.
     */
    @Override
    public String getTipatudescricao() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, String, String> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, String, String> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Tipoatuador.TIPOATUADOR.TIPATUID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return Tipoatuador.TIPOATUADOR.TIPATUNOME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return Tipoatuador.TIPOATUADOR.TIPATUDESCRICAO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getTipatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getTipatunome();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getTipatudescricao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getTipatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getTipatunome();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getTipatudescricao();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public TipoatuadorRecord value1(Integer value) {
        setTipatuid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public TipoatuadorRecord value2(String value) {
        setTipatunome(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public TipoatuadorRecord value3(String value) {
        setTipatudescricao(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public TipoatuadorRecord values(Integer value1, String value2, String value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ITipoatuador from) {
        setTipatuid(from.getTipatuid());
        setTipatunome(from.getTipatunome());
        setTipatudescricao(from.getTipatudescricao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ITipoatuador> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TipoatuadorRecord
     */
    public TipoatuadorRecord() {
        super(Tipoatuador.TIPOATUADOR);
    }

    /**
     * Create a detached, initialised TipoatuadorRecord
     */
    public TipoatuadorRecord(Integer tipatuid, String tipatunome, String tipatudescricao) {
        super(Tipoatuador.TIPOATUADOR);

        set(0, tipatuid);
        set(1, tipatunome);
        set(2, tipatudescricao);
    }

    public TipoatuadorRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
